Subsecciones

- 5.5.1 Testeo de rendimiento con Stress-Test
  - Descripción general
  - Descripción detallada
  - Instalación

# 5.5 AJUSTES EN EL CLUSTER

## 5.5.1 Testeo de rendimiento con Stress-Test

### Descripción general

Este stress-test está hecho para evaluar un cluster openMosix. Realizará muchísimas evaluaciones a sus aplicaciones y a su kernel, para testear la estabilidad y otras cuestiones relacionadas con openMosix (por ejemplo migración de procesos y mfs). Durante este test el cluster se verá sobrecargado, es por eso que debería detener cualquier otra aplicación que tenga corriendo antes de iniciarlo. Al finalizar se generará un reporte detallado acerca de cada componente que ha sido evaluado.

### Descripción detallada

Stress-Test corre una cantidad importante de programas para evaluar la funcionalidad de todo el sistema. A continuación encontrará una descripción de cada test.

# distkeygen Esta aplicación es usada para generar 4000 pares de llaves RSA con una longitud de 1024 bits. Se distribuye en tantos procesos como procesadores haya en su cluster Openmosix vía fork.

Requerimientos: Compilador gcc y la librería OpenSSL.
Copyright (C) 2001 Ying-Hung Chen (GPL)
`http://www.yingternet.com/mosix`http://www.yingternet.com/mosix

#portfolio `Portfolio` es un programa realizado en lenguaje Perl que simula distintos portfolios de acciones para un determinado período de tiempo. Está basado en el libro The intelligent asset Allocator de William Bernstein.
Este programa está realizado bajo licencia GPL.
Autor: Charles E. Nadeau Ph.D.,(C) 2002 - `charlesnadeau at hotmail dot com`

#eatmen Simplemente calcula funciones senoidales y raíces cuadradas para un valor determinado, lo hace un millón de veces, mientras escribe a un archivo el valor del contador del bucle (archivo que aumenta su tamaño enormemente). Este test es iniciado automáticamente tantas veces (en forma simultánea) según la cantidad de procesadores que haya en su cluster openMosix.

#forkit Este test es similar al anterior pero en cambio usa la llamada a sistema fork() para crear múltiples procesos (tres veces el número de procesadores de su cluster. No escribe la salida a ningún archivo como lo hace `eatmen`.
#mfstes Este programa crea un archivo de 10MB y lo copia hacia y desde todos los nodos. Es para chequear al oMFS.

#test kernel syscall El LinuxTM Test Project es un proyecto que nace de la unión de SGITM, IBM, OSFLTM, y Bull con el objetivo de dar a la comunidad open source programas de testeo (test suites) para validar la confiabilidad, robustez y estabilidad de Linux. El Linux Test Project es una colección de herramientas para evaluar el kernel. El objetivo es mejorar el kernel. Los Interesados en contribuir son invitados a unirse a este proyecto.
Más información en `http://ltp.sf.net` ó en `http://ltp.sourceforge.net`

#moving El archivo `moving.sh` moverá a `start_openMosix_test.sh` a cada nodo en su cluster openMosix mientras este corriendo el test. Entonces `'start_openMosix_test.sh'` migrará cada minuto hacia otro nodo durante la ejecución del mismo. Dependiendo de la duración del test en su cluster migrará de 20 a 40 veces.

### Instalación

- Desde las fuentes
  Ubicándose por ejemplo en `/usr/local:`

  `gunzip ontest.tar.gz`

  `tar -xvf omtest.gz`

  Después `cd /usr/local/omtest` y ejecute:

  `./compile_tests.sh`

  Esto instalará los módulos y compilará los archivos necesarios. Necesitará privilegios de administrador para ello (rot). Pudiendo luego correr el openMosix stress-test como simple usuario (quizás deba ahora borrar los archivos temporales de la ejecución como administrador de `/tmp` porque no tendrá permiso de sobrescribirlos luego como simple usuario. Puede ejecutar el test con el siguiente comando:

  `./start_openMosix_test.sh`

- Usando un paquete RPM
  Instálelo con el siguiente comando:

  `rpm -ihv omtest.rpm`

  Ahora puede iniciar el openMosix Stress-test con el siguiente comando:

  `start_openMosix_test.sh`

  (el paquete RPM será instalado en `/usr/local/omtest`)

Download 5.7

Version 0.1-4 del openMosix stress-test
omtest-0.1-4.tar.gz (sources-package)
omtest-0.1-4.i386.rpm (RPM-package)
Cambios:
-se incluyó un archivo con la versión version.txt
-se actualizó ltp test-package
-se agregó lmbench al stress-test.
(debe ser ejecutado manualmente por `run_lmbench.sh`)

Version 0.1-3 del openMosix stress-test
omtest-0.1-3.tar.gz (sources-package)
omtest-0.1-3.i386.rpm (RPM-package)
Cambios:
-stderr ahora también reporta hacia stdout después de cada test.
-se corrigió un pequeño bug en kernel-syscall start-script (directorio tmp).
-se corrigió un mensaje de error que se producíia durante el borrado de los archivos temporales (distkeygen test).
-Usted puede ahora correr también el stress-test para openMosix como usuario común.
(solamente la instalación requiere privilegios de administrador)

Version 0.1-2 del openMosix stress-test
omtest-0.1-2.tar.gz (sources-package)
omtest-0.1-2.i386.rpm (RPM-package)
Cambios:
-stderr es copiado al informe generado por el test
-se agregó un chequeo para nodos que son parte del cluster pero que estan sin funcionar.

Version 0.1-1 of the openMosix stress-test
omtest-0.1-1.tar.gz (sources-package)
omtest-0.1-1.i386.rpm (RPM-package)

Informe de Ejemplo 5.8

Este es un ejemplo del informe generado por este test en un cluster openMosix versión 2.4.18-1 de 5 nodos
openMosix-stress-test-report.txt (ejemplo)

Descargo de responsabilidad Todos los fuentes de los programas son entregados sin garantíias. Use el openMosix stress-test a su propio riesgo y siéntase libre de contribuir con sus propias ideas. El autor de este test para cluster no es responsable de ningún error y sus consecuencias mientras esté corriendo el stress-test en su sistema. Asegúrese de hacer una copia de respaldo antes de empezar con este test, debido a que quizás pueda sobrecargar y hasta colgar su sistema. Matt Rechenburg - `mosixview@t-online.de`